---
title: font-variant
slug: Web/SVG/Attribute/font-variant
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>font-variant</code></strong> attribute indicates whether the text is to be rendered using variations of the fontʼs {{Glossary("glyph", "glyphs")}}.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>font-variant</code> can be used as a CSS property. See the {{cssxref("font-variant", "CSS font-variant")}} property for more information.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following eight elements: {{SVGElement("altGlyph")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[2,3]">&lt;svg viewBox="0 0 250 30" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;text y="20" font-variant="normal"&gt;Normal text&lt;/text&gt;
  &lt;text x="100" y="20" font-variant="small-caps"&gt;Small-caps text&lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "250", "30")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>
    <p><code>normal</code> | <code>none</code> | [ <code>&lt;common-lig-values&gt;</code> || <code>&lt;discretionary-lig-values&gt;</code> || <code>&lt;historical-lig-values&gt;</code> || <code>&lt;contextual-alt-values&gt;</code> || <code>stylistic( &lt;feature-value-name&gt; )</code> || <code>historical-forms</code> || <code>styleset( &lt;feature-value-name&gt;# )</code> || <code>character-variant( &lt;feature-value-name&gt;# )</code> || <code>swash( &lt;feature-value-name&gt; )</code> || <code>ornaments( &lt;feature-value-name&gt; )</code> || <code>annotation( &lt;feature-value-name&gt; )</code> || [ <code>small-caps</code> | <code>all-small-caps</code> | <code>petite-caps</code> | <code>all-petite-caps</code> | <code>unicase</code> | <code>titling-caps</code> ] || <code>&lt;numeric-figure-values&gt;</code> || <code>&lt;numeric-spacing-values&gt;</code> || <code>&lt;numeric-fraction-values&gt;</code> || <code>ordinal</code> || <code>slashed-zero</code> || <code>&lt;east-asian-variant-values&gt;</code> || <code>&lt;east-asian-width-values&gt;</code> || <code>ruby</code> ]</p>
   </td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>normal</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p>For a description of the values, please refer to the <a href="/en-US/docs/Web/CSS/font-variant#Values">CSS <code>font-variant</code></a> property.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Fonts", "#font-variant-prop", "font-variant")}}</td>
   <td>{{Spec2("CSS4 Fonts")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Fonts", "#font-variant-prop", "font-variant")}}</td>
   <td>{{Spec2("CSS3 Fonts")}}</td>
   <td>Added many more keywords for different types of variations.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#FontVariantProperty", "font-variant")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.font-variant")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-variant", "CSS font-variant")}}</li>
</ul>
